Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class AnnotatedServiceFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.mule.config.spring.factories.AnnotatedServiceFactoryBean

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class AnnotatedServiceFactoryBean

extends org.springframework.beans.factory.config.AbstractFactoryBean
implements MuleContextAware

A factory bean used to create a `Service` object from an annotated service.

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`AnnotatedServiceFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`protected Object` | `createInstance()`
`Model` | `getModel()`
`String` | `getName()`
`Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setModel(Model model)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setName(String name)`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedServiceFactoryBean

    public AnnotatedServiceFactoryBean()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getModel

    public Model getModel()

### setModel

    public void setModel(Model model)

### createInstance

    protected Object createInstance()
                             throws Exception

  Specified by:
    `createInstance` in class `org.springframework.beans.factory.config.AbstractFactoryBean`
  Throws:
    `Exception`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`
  Overrides:
    `isSingleton` in class `org.springframework.beans.factory.config.AbstractFactoryBean`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`
  Specified by:
    `getObjectType` in class `org.springframework.beans.factory.config.AbstractFactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `org.springframework.beans.factory.config.AbstractFactoryBean`
  Throws:
    `Exception`

### getName

    public String getName()

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.